> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supplier Purchase Order Stats

> Summary stats for a supplier's purchase orders.



## OpenAPI

````yaml /api/openapi-finindex.json get /api/v1/suppliers/{supplier_id}/purchase-orders/stats
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/suppliers/{supplier_id}/purchase-orders/stats:
    get:
      tags:
        - Suppliers
      summary: Get Supplier Purchase Order Stats
      description: Summary stats for a supplier's purchase orders.
      operationId: >-
        get_supplier_purchase_order_stats_api_v1_suppliers__supplier_id__purchase_orders_stats_get
      parameters:
        - name: supplier_id
          in: path
          required: true
          schema:
            type: string
            title: Supplier Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: startDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Startdate
        - name: endDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Enddate
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupplierPurchaseOrderStats'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SupplierPurchaseOrderStats:
      properties:
        totalPOs:
          type: integer
          title: Totalpos
        totalAmount:
          type: number
          title: Totalamount
        averagePOValue:
          type: number
          title: Averagepovalue
        pendingPOs:
          type: integer
          title: Pendingpos
      type: object
      required:
        - totalPOs
        - totalAmount
        - averagePOValue
        - pendingPOs
      title: SupplierPurchaseOrderStats
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````